Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class BoxUnbox extends AnyRef
  Definition Classes
    opt
- BoxConsumer
- BoxCreation
- BoxKind
- BoxedPrimitiveTypeCheck
- CopyOpsIterator
- Drop
- EscapingConsumer
- InstanceCreation
- ModuleFactory
- ModuleGetter
- PrimitiveBox
- PrimitiveBoxingGetter
- PrimitiveUnboxingGetter
- Ref
- StaticFactory
- StaticGetterOrInstanceRead
- StaticSetterOrInstanceWrite
- Tuple

c

scala.tools.nsc.backend.jvm.opt.BoxUnbox

# BoxedPrimitiveTypeCheck

###

#### case class BoxedPrimitiveTypeCheck(consumer: AbstractInsnNode, success: Boolean) extends BoxConsumer with Product with Serializable

`.$isInstanceOf[T]` (can be statically proven true or false)

Source
  BoxUnbox.scala

Linear Supertypes
java.io.Serializable, Product, Equals, BoxConsumer, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BoxedPrimitiveTypeCheck
2. Serializable
3. Product
4. Equals
5. BoxConsumer
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BoxedPrimitiveTypeCheck(consumer: AbstractInsnNode, success: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toany2stringadd[BoxedPrimitiveTypeCheck] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (BoxedPrimitiveTypeCheck, B)
   Implicit
     This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toArrowAssoc[BoxedPrimitiveTypeCheck] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def allInsns: Set[AbstractInsnNode]
   Definition Classes
     BoxConsumer
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def boxProducers(prodCons: ProdConsAnalyzer): Set[AbstractInsnNode]

   The initial producers of the box value consumed by this box consumer

   The initial producers of the box value consumed by this box consumer

   Definition Classes
     BoxConsumer
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  val consumer: AbstractInsnNode
    Definition Classes
      BoxedPrimitiveTypeCheck → BoxConsumer
11.  def ensuring(cond: (BoxedPrimitiveTypeCheck) => Boolean, msg: => Any): BoxedPrimitiveTypeCheck
    Implicit
      This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toEnsuring[BoxedPrimitiveTypeCheck] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (BoxedPrimitiveTypeCheck) => Boolean): BoxedPrimitiveTypeCheck
    Implicit
      This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toEnsuring[BoxedPrimitiveTypeCheck] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): BoxedPrimitiveTypeCheck
    Implicit
      This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toEnsuring[BoxedPrimitiveTypeCheck] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): BoxedPrimitiveTypeCheck
    Implicit
      This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toEnsuring[BoxedPrimitiveTypeCheck] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toStringFormat[BoxedPrimitiveTypeCheck] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def isEscaping: Boolean
    Definition Classes
      BoxConsumer
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def isWrite: Boolean
    Definition Classes
      BoxConsumer
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def postExtractionAdaptationOps(typeOfExtractedValue: Type): List[AbstractInsnNode]

    If this box consumer extracts a boxed value and applies a conversion, this method returns equivalent conversion operations.

    If this box consumer extracts a boxed value and applies a conversion, this method returns equivalent conversion operations. For example, invoking `_1$mcI$sp` on a non-specialized `Tuple2` extracts the Integer value and unboxes it.

    Definition Classes
      BoxConsumer
26.  def productElementNames: Iterator[String]
    Definition Classes
      Product
27.  val success: Boolean
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (BoxedPrimitiveTypeCheck, B)
   Implicit
     This member is added by an implicit conversion from BoxedPrimitiveTypeCheck toArrowAssoc[BoxedPrimitiveTypeCheck] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BoxConsumer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromBoxedPrimitiveTypeCheck to any2stringadd[BoxedPrimitiveTypeCheck]

### Inherited by implicit conversion StringFormat fromBoxedPrimitiveTypeCheck to StringFormat[BoxedPrimitiveTypeCheck]

### Inherited by implicit conversion Ensuring fromBoxedPrimitiveTypeCheck to Ensuring[BoxedPrimitiveTypeCheck]

### Inherited by implicit conversion ArrowAssoc fromBoxedPrimitiveTypeCheck to ArrowAssoc[BoxedPrimitiveTypeCheck]

### Ungrouped